using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Threading;

namespace CurrentCultureMVC.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";
            ViewBag.Current = Thread.CurrentThread.CurrentCulture.DisplayName;
            ViewBag.CurrentUI = Thread.CurrentThread.CurrentUICulture.DisplayName;

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
